N = 5 * 10**6

with open('setup.sql', 'w') as f:
    f.write("""
DROP TABLE IF EXISTS foo;
CREATE TABLE foo (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` decimal(5,2) NOT NULL,
  `amount_ex_vat` decimal(5,2) NOT NULL,
  `type` varchar(20) NOT NULL,
  `method` varchar(10) NOT NULL,
  `payment_received_on` datetime DEFAULT NULL,
  `executed_on` datetime DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `checked` tinyint(1) NOT NULL,
  `created_on` datetime NOT NULL,
  `updated_on` datetime NOT NULL,
  `source` varchar(20) DEFAULT NULL,
  `paid_by_id` int(11) DEFAULT NULL,
  `price_plan_id` int(11) DEFAULT NULL,
  `subscription_id` int(11) NOT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `focus` int(11) NOT NULL,
   PRIMARY KEY (`id`)
);
""")
    f.write("INSERT INTO foo VALUES ")
    for i in range(1, N + 1):
        f.write("(%d,15.00,12.40,'topup','manual','2015-07-21 16:38:08','2015-07-21 16:38:08','done',0,'2015-07-21 16:38:08','2015-07-21 16:38:08','manual',5,26,17,1,0)" % i)
        if i % 100000 == 0:
            f.write(";\n")
            if i != N:
                f.write("INSERT INTO foo VALUES ")
        else:
            f.write(", ")

